> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get specific supporting document type by SID



## OpenAPI

````yaml get /agency/twilio/supporting-document-types/{sid}
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /agency/twilio/supporting-document-types/{sid}:
    get:
      tags:
        - Twilio
      summary: Get specific supporting document type by SID
      operationId: TwilioController_getSupportingDocumentType
      parameters:
        - name: sid
          required: true
          in: path
          description: Supporting document type SID
          schema:
            type: string
      responses:
        '200':
          description: Returns supporting document type details
          content:
            application/json:
              schema:
                type: object
                properties:
                  sid:
                    type: string
                    description: Supporting document type SID
                  friendly_name:
                    type: string
                    description: Friendly name
                  machine_name:
                    type: string
                    description: Machine name
                  fields:
                    type: array
                    items:
                      type: object
                    description: Type fields
                  url:
                    type: string
                    description: Resource URL
        '401':
          description: Unauthorized
        '404':
          description: Supporting document type not found
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````